import React, { useRef, useState, useEffect } from "react";
import Box from '@mui/material/Box';
import TextField from '@mui/material/TextField';
import MenuItem from '@mui/material/MenuItem';

import Button from '@mui/material/Button';
import axios from "axios";
import DeleteIcon from '@mui/icons-material/Delete';
import { getCookie, setCookie } from 'react-use-cookie';
import { Alert } from "@mui/material";
import { AiTwotoneEdit, AiTwotoneSave } from "react-icons/ai";
import profileimg from "../mysy_img/MYSY-profil-2.png";
import Abonnement from "./Abonnement";
import { PropaneSharp } from "@mui/icons-material";
import { useHistory } from "react-router-dom";
import CheckOut from "./CheckOut";

import "react-draft-wysiwyg/dist/react-draft-wysiwyg.css";
import { RichTextEditor } from '@mantine/rte';
import { Editor } from '@tinymce/tinymce-react';
import { IoArrowUndoCircle } from "react-icons/io5";
import { GrUserAdmin, GrOrderedList } from "react-icons/gr";
import parse from 'html-react-parser';

import 'react-tooltip/dist/react-tooltip.css'
import { Tooltip } from 'react-tooltip'

import GestionAdministrative from "./GestionAdministrative";
import { IoMdAddCircle, IoIosRemoveCircleOutline } from "react-icons/io";
import { Fab } from "@material-ui/core";
import { ConsoleView } from "react-device-detect";
import fileDownload from 'js-file-download'

const AddParnerClient = (props) => {
    const history = useHistory();
    const [submenu, setsubmenu] = useState("");

    const [datamodification, setdatamodification] = useState("0");
    const [formedit_mode, setformedit_mode] = useState("0");

    const [datamodification_invoice, setdatamodification_invoice] = useState("0");
    const [formedit_mode_invoice, setformedit_mode_invoice] = useState("0");

    const [p_client_email, setclient_email] = useState("");
    const [p_client_nom, setclient_nom] = useState("");

    const [p_client_raison_sociale, setclient_raison_sociale] = useState("");
    const [p_client_siret, setclient_siret] = useState("");
    const [p_client_tva, setclient_tva] = useState("");
    const [p_client_adresse, setclient_adresse] = useState("");
    const [p_client_ville, setclient_ville] = useState("");
    const [p_client_code_postal, setclient_code_postal] = useState("");
    const [p_client_pays, setclient_pays] = useState("");
    const [p_client_telephone, setclient_telephone] = useState("");
    const [p_client_website, setclient_website] = useState("");

    // Données de facturation
    const [p_client_invoice_email, setclient_invoice_email] = useState("");
    const [p_client_invoice_nom, setclient_invoice_nom] = useState("");
    const [p_client_invoice_siret, setclient_invoice_siret] = useState("");
    const [p_client_invoice_tva, setclient_invoice_tva] = useState("");
    const [p_client_invoice_adresse, setclient_invoice_adresse] = useState("");
    const [p_client_invoice_ville, setclient_invoice_ville] = useState("");
    const [p_client_invoice_code_postal, setclient_invoice_code_postal] = useState("");
    const [p_client_invoice_pays, setclient_invoice_pays] = useState("");



    const [importmessage, setimportmessage] = useState("");

    function submenu_donnee_client() {
        setsubmenu("submenu_donnee_client");

        console.log(" ### formedit_mode = ", formedit_mode);
        if( String(formedit_mode) === "0" && p_client_email ){
            Disable_fields();
        }

    }



    function submenu_donnee_facturation() {
        setsubmenu("submenu_donnees_facturation");
    }


    function DataUpdated() {
        setdatamodification("1");
    }

    function DataEditMode() {
        setformedit_mode("1");
        Enable_fields();
    }

    function AnnulerEdit() {
        setformedit_mode("0");
        setdatamodification("0");
        Disable_fields();
        clear_fields();
        fillfield_Only_Main_Data(props.client_mail);

    }

    function DataUpdated_Invoice_Data() {
        setdatamodification_invoice("1");
    }

    function DataEditMode_Invoice_Data() {
        setformedit_mode_invoice("1");
        Enable_invoice_fields();
    }

    function AnnulerEdit_Invoice_Data() {
        setformedit_mode_invoice("0");
        setdatamodification_invoice("0");
        Disable_invoice_fields();
        clear_invoice_fields();
        fillfield_Invoice_Data(props.client_mail);
    }


    useEffect(() => {


        setformedit_mode("0");
        submenu_donnee_client();
        fillfield(props.client_mail);
        setdatamodification("0");
        window.scrollTo(0, 0);

    }, [props.client_mail,]);


    const [fillfield_api, setfillfield_api] = useState("");
    const [fillfield_result, setfillfield_result] = useState("");
    const [fillfield_message, setfillfield_message] = useState("");
    function fillfield(cust_email) {

        var val = cust_email;

        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("email", val);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_Given_Partner_Client/";

        axios.post(myurl, form).then(res => {
            if (String(res.data.status) === String("true")) {
                //console.log(" In fillfield  res.data.status = " + res.data.status);
                //console.log(" In fillfield  res.data.message  = " + res.data.message);
                setfillfield_api("true");
                setfillfield_result(res.data.message);
                var mylocalclient = JSON.parse(res.data.message);


                if (mylocalclient) {
                    document.getElementsByName("client_email")[0].value = mylocalclient.email;
                    document.getElementsByName("client_nom")[0].value = mylocalclient.nom;
                    setclient_nom(mylocalclient.nom);
                    setclient_email(mylocalclient.email);


                    if (mylocalclient.raison_sociale) {
                        setclient_raison_sociale(mylocalclient.raison_sociale);
                    }

                    if (mylocalclient.adr_adresse)
                        setclient_adresse(mylocalclient.adr_adresse);

                    if (mylocalclient.adr_ville)
                        setclient_ville(mylocalclient.adr_ville);

                    if (mylocalclient.adr_pays)
                        setclient_pays(mylocalclient.adr_pays);

                    if (mylocalclient.siret)
                        setclient_siret(mylocalclient.siret);

                    if (mylocalclient.tva)
                        setclient_tva(mylocalclient.tva);

                    if (mylocalclient.website)
                        setclient_website(mylocalclient.website);

                    // Remplissage des doonées de facturation
                    if (mylocalclient.invoice_email)
                        setclient_invoice_email(mylocalclient.invoice_email);

                    if (mylocalclient.invoice_nom)
                        setclient_invoice_nom(mylocalclient.invoice_nom);

                    if (mylocalclient.invoice_siret)
                        setclient_invoice_siret(mylocalclient.invoice_siret);

                    if (mylocalclient.invoice_tva)
                        setclient_invoice_tva(mylocalclient.invoice_tva);

                    if (mylocalclient.invoice_adresse)
                        setclient_invoice_adresse(mylocalclient.invoice_adresse);

                    if (mylocalclient.invoice_ville)
                        setclient_invoice_ville(mylocalclient.invoice_ville);

                    if (mylocalclient.invoice_code_postal)
                        setclient_invoice_code_postal(mylocalclient.invoice_code_postal);

                    if (mylocalclient.invoice_pays)
                        setclient_invoice_pays(mylocalclient.invoice_pays);

                    setdatamodification("0");
                    setdatamodification_invoice("0");

                    Disable_fields();
                    //Disable_invoice_fields();
                }
            }
            else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
                return;
            }
            else {

                setfillfield_api("false");
                setfillfield_message(res.data.message);
            }


        }).catch((error) => {
            console.warn('Not good man :( fillfield = ', error);
            setfillfield_result("false");
            setfillfield_message(" Impossible de recuperer les informations du client")

        })
    }


    const [fillfield_Invoice_Data_api, setfillfield_Invoice_Data_api] = useState("");
    const [fillfield_Invoice_Data_result, setfillfield_Invoice_Data_result] = useState("");
    const [fillfield_Invoice_Data_message, setfillfield_Invoice_Data_message] = useState("");
    function fillfield_Invoice_Data(cust_email) {

        var val = cust_email;

        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("email", p_client_email);
        form.append("nom", p_client_nom);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_Given_Partner_Client/";

        axios.post(myurl, form).then(res => {
            if (String(res.data.status) === String("true")) {
                //console.log(" In fillfield_Invoice_Data  res.data.status = " + res.data.status);
                //console.log(" In fillfield_Invoice_Data  res.data.message  = " + res.data.message);
                setfillfield_Invoice_Data_api("true");
                setfillfield_Invoice_Data_result(res.data.message);
                var mylocalclient = JSON.parse(res.data.message);


                if (mylocalclient) {

                    // Remplissage des doonées de facturation
                    if (mylocalclient.invoice_email)
                        setclient_invoice_email(mylocalclient.invoice_email);

                    if (mylocalclient.invoice_nom)
                        setclient_invoice_nom(mylocalclient.invoice_nom);

                    if (mylocalclient.invoice_siret)
                        setclient_invoice_siret(mylocalclient.invoice_siret);

                    if (mylocalclient.invoice_tva)
                        setclient_invoice_tva(mylocalclient.invoice_tva);

                    if (mylocalclient.invoice_adresse)
                        setclient_invoice_adresse(mylocalclient.invoice_adresse);

                    if (mylocalclient.invoice_ville)
                        setclient_invoice_ville(mylocalclient.invoice_ville);

                    if (mylocalclient.invoice_code_postal)
                        setclient_invoice_code_postal(mylocalclient.invoice_code_postal);

                    if (mylocalclient.invoice_pays)
                        setclient_invoice_pays(mylocalclient.invoice_pays);

                    Disable_invoice_fields();
                }
            }
            else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
                return;
            }
            else {

                setfillfield_Invoice_Data_api("false");
                setfillfield_Invoice_Data_message(res.data.message);
            }


        }).catch((error) => {
            console.warn('Not good man :( fillfield_Invoice_Data = ', error);
            setfillfield_Invoice_Data_result("false");
            setfillfield_Invoice_Data_message(" Impossible de recuperer les informations du client")

        })
    }

    const [fillfield_Only_Main_Data_api, setfillfield_Only_Main_Data_api] = useState("");
    const [fillfield_Only_Main_Data_result, setfillfield_Only_Main_Data_result] = useState("");
    const [fillfield_Only_Main_Data_message, setfillfield_Only_Main_Data_message] = useState("");
    function fillfield_Only_Main_Data(cust_email) {

        var val = cust_email;

        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);
        form.append("email", val);

        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_Given_Partner_Client/";

        axios.post(myurl, form).then(res => {
            if (String(res.data.status) === String("true")) {
                //console.log(" In fillfield_Only_Main_Data  res.data.status = " + res.data.status);
                //console.log(" In fillfield_Only_Main_Data  res.data.message  = " + res.data.message);
                setfillfield_Only_Main_Data_api("true");
                setfillfield_Only_Main_Data_result(res.data.message);
                var mylocalclient = JSON.parse(res.data.message);


                if (mylocalclient) {

                    // Remplissage des doonées de principale (première tab)
                    if (mylocalclient.raison_sociale) {
                        document.getElementsByName("client_raison_sociale")[0].value = mylocalclient.raison_sociale;
                    }

                    if (mylocalclient.adr_adresse)
                        document.getElementsByName("client_adresse")[0].value = mylocalclient.adr_adresse;

                    if (mylocalclient.adr_ville)
                        document.getElementsByName("client_ville")[0].value = mylocalclient.adr_ville;

                    if (mylocalclient.adr_pays)
                        document.getElementsByName("client_pays")[0].value = mylocalclient.adr_pays;

                    if (mylocalclient.siret)
                        document.getElementsByName("client_siret")[0].value = mylocalclient.siret;

                    if (mylocalclient.tva)
                        document.getElementsByName("client_tva")[0].value = mylocalclient.tva;

                    if (mylocalclient.website)
                        document.getElementsByName("client_website")[0].value = mylocalclient.website;

                    Disable_fields();

                }
            }
            else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
                return;
            }
            else {

                setfillfield_Only_Main_Data_api("false");
                setfillfield_Only_Main_Data_message(res.data.message);
            }


        }).catch((error) => {
            console.warn('Not good man :( fillfield_Only_Main_Data = ', error);
            setfillfield_Only_Main_Data_result("false");
            setfillfield_Only_Main_Data_message(" Impossible de recuperer les informations du client")

        })
    }


    function clear_fields() {
        if (document.getElementsByName("client_email")) {
            document.getElementsByName("client_email")[0].value = "";
        }

        if (document.getElementsByName("client_nom")) {
            document.getElementsByName("client_nom")[0].value = "";
        }

        if (document.getElementsByName("client_raison_sociale")) {
            document.getElementsByName("client_raison_sociale")[0].value = "";
        }

        if (document.getElementsByName("client_adresse")) {
            document.getElementsByName("client_adresse")[0].value = "";
        }

        if (document.getElementsByName("client_ville")) {
            document.getElementsByName("client_ville")[0].value = "";
        }

        if (document.getElementsByName("client_pays")) {
            document.getElementsByName("client_pays")[0].value = "";
        }

        if (document.getElementsByName("client_email")) {
            document.getElementsByName("client_email")[0].value = "";
        }

        if (document.getElementsByName("client_siret")) {
            document.getElementsByName("client_siret")[0].value = "";
        }

        if (document.getElementsByName("client_tva")) {
            document.getElementsByName("client_tva")[0].value = "";
        }

        if (document.getElementsByName("client_website")) {
            document.getElementsByName("client_website")[0].value = "";
        }

        if (document.getElementsByName("client_code_postal")) {
            document.getElementsByName("client_code_postal")[0].value = "";
        }

        if (document.getElementsByName("client_telephone")) {
            document.getElementsByName("client_telephone")[0].value = "";
        }

    }

    function Disable_fields() {
        if (document.getElementsByName("client_email")) {
            document.getElementsByName("client_email")[0].disabled = true;
            document.getElementsByName("client_email")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_nom")) {
            document.getElementsByName("client_nom")[0].disabled = true;
            document.getElementsByName("client_nom")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_raison_sociale")) {
            document.getElementsByName("client_raison_sociale")[0].disabled = true;
            document.getElementsByName("client_raison_sociale")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_adresse")) {
            document.getElementsByName("client_adresse")[0].disabled = true;
            document.getElementsByName("client_adresse")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_ville")) {
            document.getElementsByName("client_ville")[0].disabled = true;
            document.getElementsByName("client_ville")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_pays")) {
            document.getElementsByName("client_pays")[0].disabled = true;
            document.getElementsByName("client_pays")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_email")) {
            document.getElementsByName("client_email")[0].disabled = true;
            document.getElementsByName("client_email")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_siret")) {
            document.getElementsByName("client_siret")[0].disabled = true;
            document.getElementsByName("client_siret")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_tva")) {
            document.getElementsByName("client_tva")[0].disabled = true;
            document.getElementsByName("client_tva")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_website")) {
            document.getElementsByName("client_website")[0].disabled = true;
            document.getElementsByName("client_website")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_code_postal")) {
            document.getElementsByName("client_code_postal")[0].disabled = true;
            document.getElementsByName("client_code_postal")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_telephone")) {
            document.getElementsByName("client_telephone")[0].disabled = true;
            document.getElementsByName("client_telephone")[0].style.backgroundColor = "#ECEFF1";
        }


    }

    function Enable_fields() {
        if (document.getElementsByName("client_email")) {
            document.getElementsByName("client_email")[0].disabled = false;
            document.getElementsByName("client_email")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_nom")) {
            document.getElementsByName("client_nom")[0].disabled = false;
            document.getElementsByName("client_nom")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_raison_sociale")) {
            document.getElementsByName("client_raison_sociale")[0].disabled = false;
            document.getElementsByName("client_raison_sociale")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_adresse")) {
            document.getElementsByName("client_adresse")[0].disabled = false;
            document.getElementsByName("client_adresse")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_ville")) {
            document.getElementsByName("client_ville")[0].disabled = false;
            document.getElementsByName("client_ville")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_pays")) {
            document.getElementsByName("client_pays")[0].disabled = false;
            document.getElementsByName("client_pays")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_email")) {
            document.getElementsByName("client_email")[0].disabled = false;
            document.getElementsByName("client_email")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_siret")) {
            document.getElementsByName("client_siret")[0].disabled = false;
            document.getElementsByName("client_siret")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_tva")) {
            document.getElementsByName("client_tva")[0].disabled = false;
            document.getElementsByName("client_tva")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_website")) {
            document.getElementsByName("client_website")[0].disabled = false;
            document.getElementsByName("client_website")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_code_postal")) {
            document.getElementsByName("client_code_postal")[0].disabled = false;
            document.getElementsByName("client_code_postal")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_telephone")) {
            document.getElementsByName("client_telephone")[0].disabled = false;
            document.getElementsByName("client_telephone")[0].style.backgroundColor = "#FFFFFF";
        }


    }

    const [recordPartnerClient_api, setrecordPartnerClient_api] = useState("");
    const [recordPartnerClient_result, setrecordPartnerClient_result] = useState("");
    const [recordPartnerClient_message, setrecordPartnerClient_message] = useState("");
    function recordPartnerClient(event) {


        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);

        // Recupeation des données à enregister

        var client_email = ""
        if (document.getElementsByName("client_email")) {
            client_email = document.getElementsByName("client_email")[0].value;
        }
        form.append("email", client_email);


        var client_nom = ""
        if (document.getElementsByName("client_nom")) {
            client_nom = document.getElementsByName("client_nom")[0].value;
        }
        form.append("nom", client_nom);

        var client_raison_sociale = ""
        if (document.getElementsByName("client_raison_sociale")) {
            client_raison_sociale = document.getElementsByName("client_raison_sociale")[0].value;
        }
        form.append("raison_sociale", client_raison_sociale);

        var client_adresse = ""
        if (document.getElementsByName("client_adresse")) {
            client_adresse = document.getElementsByName("client_adresse")[0].value;
        }
        form.append("adr_adresse", client_adresse);

        var client_code_postal = ""
        if (document.getElementsByName("client_code_postal")) {
            client_code_postal = document.getElementsByName("client_code_postal")[0].value;
        }
        form.append("adr_code_postal", client_code_postal);

        var client_ville = ""
        if (document.getElementsByName("client_ville")) {
            client_ville = document.getElementsByName("client_ville")[0].value;
        }
        form.append("adr_ville", client_ville);

        var client_pays = ""
        if (document.getElementsByName("client_pays")) {
            client_pays = document.getElementsByName("client_pays")[0].value;
        }
        form.append("adr_pays", client_pays);



        var client_telephone = ""
        if (document.getElementsByName("client_telephone")) {
            client_telephone = document.getElementsByName("client_telephone")[0].value;
        }
        form.append("telephone", client_telephone);


        var client_siret = ""
        if (document.getElementsByName("client_siret")) {
            client_siret = document.getElementsByName("client_siret")[0].value;
        }
        form.append("siret", client_siret);

        var client_tva = ""
        if (document.getElementsByName("client_tva")) {
            client_tva = document.getElementsByName("client_tva")[0].value;
        }
        form.append("tva", client_tva);

        var client_website = ""
        if (document.getElementsByName("client_website")) {
            client_website = document.getElementsByName("client_website")[0].value;
        }
        form.append("website", client_website);


        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Update_Partner_Client/";

        axios.post(myurl, form).then(res => {
            if (String(res.data.status) === String("true")) {
                console.log(" In recordPartnerClient  res.data.status = " + res.data.status);
                console.log(" In recordPartnerClient  res.data.message  = " + res.data.message);
                setrecordPartnerClient_api("true");
                setrecordPartnerClient_result(res.data.message);
                setformedit_mode("0");
                setdatamodification("0");
                Disable_fields();
                alert(res.data.message);


            }
            else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
                return;
            }
            else {

                setrecordPartnerClient_api("false");
                setrecordPartnerClient_message(res.data.message);
                alert(res.data.message);

            }


        }).catch((error) => {
            console.warn('Not good man :( recordPartnerClient = ', error);
            setrecordPartnerClient_result("false");
            setrecordPartnerClient_message(" Impossible de recuperer les informations du client")
            alert(" Impossible de recuperer les informations du client");

        })
    }


    // Fonction de mise à jour des données de facturation
    const [recordPartnerClient_Invoice_Data_api, setrecordPartnerClient_Invoice_Data_api] = useState("");
    const [recordPartnerClient_Invoice_Data_result, setrecordPartnerClient_Invoice_Data_result] = useState("");
    const [recordPartnerClient_Invoice_Data_message, setrecordPartnerClient_Invoice_Data_message] = useState("");
    function recordPartnerClient_Invoice_Data(event) {


        var form = new FormData();

        const stored_cookie = getCookie('tokenmysypart');
        form.append("token", stored_cookie);

        // Recupeation des données à enregister
        form.append("email", p_client_email);
        form.append("nom", p_client_nom);


        // Données de facturation 
        var client_invoice_email = ""
        if (document.getElementsByName("client_invoice_email")) {
            client_invoice_email = document.getElementsByName("client_invoice_email")[0].value;
        }
        form.append("invoice_email", client_invoice_email);

        var client_invoice_nom = ""
        if (document.getElementsByName("client_invoice_nom")) {
            client_invoice_nom = document.getElementsByName("client_invoice_nom")[0].value;
        }
        form.append("invoice_nom", client_invoice_nom);

        var client_invoice_siret = ""
        if (document.getElementsByName("client_invoice_siret")) {
            client_invoice_siret = document.getElementsByName("client_invoice_siret")[0].value;
        }
        form.append("invoice_siret", client_invoice_siret);

        var client_invoice_tva = ""
        if (document.getElementsByName("client_invoice_tva")) {
            client_invoice_tva = document.getElementsByName("client_invoice_tva")[0].value;
        }
        form.append("invoice_tva", client_invoice_tva);

        var client_invoice_adresse = ""
        if (document.getElementsByName("client_invoice_adresse")) {
            client_invoice_adresse = document.getElementsByName("client_invoice_adresse")[0].value;
        }
        form.append("invoice_adresse", client_invoice_adresse);

        var client_invoice_ville = ""
        if (document.getElementsByName("client_invoice_ville")) {
            client_invoice_ville = document.getElementsByName("client_invoice_ville")[0].value;
        }
        form.append("invoice_ville", client_invoice_ville);

        var client_invoice_code_postal = ""
        if (document.getElementsByName("client_invoice_email")) {
            client_invoice_code_postal = document.getElementsByName("client_invoice_code_postal")[0].value;
        }
        form.append("invoice_code_postal", client_invoice_code_postal);


        var client_invoice_pays = ""
        if (document.getElementsByName("client_invoice_pays")) {
            client_invoice_pays = document.getElementsByName("client_invoice_pays")[0].value;
        }
        form.append("invoice_pays", client_invoice_pays);



        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Update_Partner_Client/";

        axios.post(myurl, form).then(res => {
            if (String(res.data.status) === String("true")) {
                console.log(" In recordPartnerClient_Invoice_Data  res.data.status = " + res.data.status);
                console.log(" In recordPartnerClient_Invoice_Data  res.data.message  = " + res.data.message);
                setrecordPartnerClient_Invoice_Data_api("true");
                setrecordPartnerClient_Invoice_Data_result(res.data.message);
                setformedit_mode_invoice("0");
                setdatamodification_invoice("0");
                Disable_invoice_fields();
                alert(res.data.message);


            }
            else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
                return;
            }
            else {

                setrecordPartnerClient_Invoice_Data_api("false");
                setrecordPartnerClient_Invoice_Data_message(res.data.message);
                alert(res.data.message);

            }


        }).catch((error) => {
            console.warn('Not good man :( recordPartnerClient_Invoice_Data = ', error);
            setrecordPartnerClient_Invoice_Data_result("false");
            setrecordPartnerClient_Invoice_Data_message(" Impossible de recuperer les informations du client")
            alert(" Impossible de recuperer les informations du client");

        })
    }

    function clear_invoice_fields() {
        if (document.getElementsByName("client_invoice_email")) {
            document.getElementsByName("client_invoice_email")[0].value = "";
        }

        if (document.getElementsByName("client_invoice_nom")) {
            document.getElementsByName("client_invoice_nom")[0].value = "";
        }

        if (document.getElementsByName("client_invoice_siret")) {
            document.getElementsByName("client_invoice_siret")[0].value = "";
        }

        if (document.getElementsByName("client_invoice_tva")) {
            document.getElementsByName("client_invoice_tva")[0].value = "";
        }

        if (document.getElementsByName("client_invoice_adresse")) {
            document.getElementsByName("client_invoice_adresse")[0].value = "";
        }

        if (document.getElementsByName("client_invoice_ville")) {
            document.getElementsByName("client_invoice_ville")[0].value = "";
        }

        if (document.getElementsByName("client_invoice_code_postal")) {
            document.getElementsByName("client_invoice_code_postal")[0].value = "";
        }

        if (document.getElementsByName("client_invoice_pays")) {
            document.getElementsByName("client_invoice_pays")[0].value = "";
        }

    }

    function Disable_invoice_fields() {
        if (document.getElementsByName("client_invoice_email")) {
            document.getElementsByName("client_invoice_email")[0].disabled = true;
            document.getElementsByName("client_invoice_email")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_invoice_nom")) {
            document.getElementsByName("client_invoice_nom")[0].disabled = true;
            document.getElementsByName("client_invoice_nom")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_invoice_siret")) {
            document.getElementsByName("client_invoice_siret")[0].disabled = true;
            document.getElementsByName("client_invoice_siret")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_invoice_tva")) {
            document.getElementsByName("client_invoice_tva")[0].disabled = true;
            document.getElementsByName("client_invoice_tva")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_invoice_adresse")) {
            document.getElementsByName("client_invoice_adresse")[0].disabled = true;
            document.getElementsByName("client_invoice_adresse")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_invoice_ville")) {
            document.getElementsByName("client_invoice_ville")[0].disabled = true;
            document.getElementsByName("client_invoice_ville")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_invoice_code_postal")) {
            document.getElementsByName("client_invoice_code_postal")[0].disabled = true;
            document.getElementsByName("client_invoice_code_postal")[0].style.backgroundColor = "#ECEFF1";
        }

        if (document.getElementsByName("client_invoice_pays")) {
            document.getElementsByName("client_invoice_pays")[0].disabled = true;
            document.getElementsByName("client_invoice_pays")[0].style.backgroundColor = "#ECEFF1";
        }

    }

    function Enable_invoice_fields() {
        if (document.getElementsByName("client_invoice_email")) {
            document.getElementsByName("client_invoice_email")[0].disabled = false;
            document.getElementsByName("client_invoice_email")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_invoice_nom")) {
            document.getElementsByName("client_invoice_nom")[0].disabled = false;
            document.getElementsByName("client_invoice_nom")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_invoice_siret")) {
            document.getElementsByName("client_invoice_siret")[0].disabled = false;
            document.getElementsByName("client_invoice_siret")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_invoice_tva")) {
            document.getElementsByName("client_invoice_tva")[0].disabled = false;
            document.getElementsByName("client_invoice_tva")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_invoice_adresse")) {
            document.getElementsByName("client_invoice_adresse")[0].disabled = false;
            document.getElementsByName("client_invoice_adresse")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_invoice_ville")) {
            document.getElementsByName("client_invoice_ville")[0].disabled = false;
            document.getElementsByName("client_invoice_ville")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_invoice_code_postal")) {
            document.getElementsByName("client_invoice_code_postal")[0].disabled = false;
            document.getElementsByName("client_invoice_code_postal")[0].style.backgroundColor = "#FFFFFF";
        }

        if (document.getElementsByName("client_invoice_pays")) {
            document.getElementsByName("client_invoice_pays")[0].disabled = false;
            document.getElementsByName("client_invoice_pays")[0].style.backgroundColor = "#FFFFFF";
        }
    }
    return (
        <div className="add_partner_client">
            <Button variant="outlined" onClick={submenu_donnee_client} className="detail_submenu" id='submenu_donnee_client' name='submenu_donnee_client'>Données Client</Button>
            <Button variant="outlined" onClick={submenu_donnee_facturation} className="detail_submenu" id='submenu_donnee_facturation' name='submenu_donnee_facturation'>Données Facuturation</Button>
            <Button variant="outlined" onClick={submenu_donnee_client} className="detail_submenu" id='submenu_donnee_client' name='submenu_donnee_client'>Contact & Adresses</Button>
            <Button variant="outlined" onClick={submenu_donnee_facturation} className="detail_submenu" id='submenu_donnee_facturation' name='submenu_donnee_facturation'>Activité</Button>
            <Button variant="outlined" onClick={submenu_donnee_facturation} className="detail_submenu" id='submenu_donnee_facturation' name='submenu_donnee_facturation'>Devis</Button>
            <Button variant="outlined" onClick={submenu_donnee_facturation} className="detail_submenu" id='submenu_donnee_facturation' name='submenu_donnee_facturation'>Commandes</Button>
            <Button variant="outlined" onClick={submenu_donnee_facturation} className="detail_submenu" id='submenu_donnee_facturation' name='submenu_donnee_facturation'>Factures</Button>
            <Button variant="outlined" onClick={submenu_donnee_facturation} className="detail_submenu" id='submenu_donnee_facturation' name='submenu_donnee_facturation'>Stagiaires</Button>


            {String(submenu).trim() === "submenu_donnee_client" && <div className="training_data" onChange={DataUpdated}>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_email"
                        label="Email"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_email}
                        onChange={(e) => setclient_email(e.target.value)}

                    />
                </div>


                <div className="training_caract">
                    <TextField
                        required
                        name="client_nom"
                        label="Nom"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_nom}
                        onChange={(e) => setclient_nom(e.target.value)}

                    />
                </div>


                <div className="training_caract">
                    <TextField
                        required
                        name="client_raison_sociale"
                        label="raison_sociale"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_raison_sociale}
                        onChange={(e) => setclient_raison_sociale(e.target.value)}
                    />
                </div>


                <div className="training_caract">
                    <TextField
                        required
                        name="client_siret"
                        label="N° Siret"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_siret}
                        onChange={(e) => setclient_siret(e.target.value)}
                    />
                </div>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_tva"
                        label="N° TVA"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_tva}
                        onChange={(e) => setclient_tva(e.target.value)}
                    />
                </div>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_adresse"
                        label="Adresse"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_adresse}
                        onChange={(e) => setclient_adresse(e.target.value)}
                    />
                </div>
                <div className="training_caract">
                    <TextField
                        required
                        name="client_ville"
                        label="ville"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_ville}
                        onChange={(e) => setclient_ville(e.target.value)}
                    />
                </div>
                <div className="training_caract">
                    <TextField
                        required
                        name="client_code_postal"
                        label="Code Postal"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_code_postal}
                        onChange={(e) => setclient_code_postal(e.target.value)}
                    />
                </div>
                <div className="training_caract">
                    <TextField
                        required
                        name="client_pays"
                        label="Pays"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_pays}
                        onChange={(e) => setclient_pays(e.target.value)}
                    />
                </div>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_telephone"
                        label="Telephone"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_telephone}
                        onChange={(e) => setclient_telephone(e.target.value)}
                    />
                </div>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_website"
                        label="Site web"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_website}
                        onChange={(e) => setclient_website(e.target.value)}
                    />
                </div>


                <div className="div_row" style={{ "border": "None" }}>
                    &nbsp;
                </div>

                {String(datamodification) === "1" && <div className="div_row">
                    <div className="koUpdateData" style={{ "color": "orange", "textAlign": "center" }}> /!\ Pensez à enregistrer les modifications</div></div>}
                {String(formedit_mode) === "1" && <div className="div_row">
                    <div className="div_row_gauche">
                        <Button variant="contained" color="success" className="bton_enreg " onClick={recordPartnerClient}>Enregistrer &nbsp; <AiTwotoneSave /> </Button>
                    </div>
                    <div className="div_row_droite" style={{ "textAlign": "right" }}>
                        <Button variant="contained" color="success" className="bton_annule" onClick={AnnulerEdit}>Annuler</Button>
                    </div>
                </div>
                }

                formedit_mode == {formedit_mode}
                {String(formedit_mode) !== "1" && <div className="div_row">

                    <div className="div_row_droite" style={{ "textAlign": "right" }}>
                        <Button variant="contained" color="success" className="bton_edit" onClick={DataEditMode}> Modifier</Button>
                    </div>
                </div>
                }

            </div>}

            {String(submenu).trim() === "submenu_donnees_facturation" && <div className="training_data" onChange={DataUpdated_Invoice_Data}>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_email"
                        label="Email de Facturation"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_email}
                        onChange={(e) => setclient_invoice_email(e.target.value)}
                    />
                </div>


                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_nom"
                        label="Nom de Facturation"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_nom}
                        onChange={(e) => setclient_invoice_nom(e.target.value)}
                    />
                </div>



                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_siret"
                        label="N° Siret Facturation"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_siret}
                        onChange={(e) => setclient_invoice_siret(e.target.value)}
                    />
                </div>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_tva"
                        label="N° TVA Facturation"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_tva}
                        onChange={(e) => setclient_invoice_tva(e.target.value)}
                    />
                </div>

                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_adresse"
                        label="Adresse"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_adresse}
                        onChange={(e) => setclient_invoice_adresse(e.target.value)}
                    />
                </div>
                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_ville"
                        label="ville"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_ville}
                        onChange={(e) => setclient_invoice_ville(e.target.value)}
                    />
                </div>
                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_code_postal"
                        label="Code Postal"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_code_postal}
                        onChange={(e) => setclient_invoice_code_postal(e.target.value)}
                    />
                </div>
                <div className="training_caract">
                    <TextField
                        required
                        name="client_invoice_pays"
                        label="Pays"
                        InputLabelProps={{
                            shrink: true,
                        }}
                        disabled={false}
                        className="disabled_style"
                        value={p_client_invoice_pays}
                        onChange={(e) => setclient_invoice_pays(e.target.value)}
                    />
                </div>


                <div className="div_row" style={{ "border": "None" }}>
                    &nbsp;
                </div>

                {String(datamodification_invoice) === "1" && <div className="div_row">
                    <div className="koUpdateData" style={{ "color": "orange", "textAlign": "center" }}> /!\ Pensez à enregistrer les modifications</div></div>}
                {String(formedit_mode_invoice) === "1" && <div className="div_row">
                    <div className="div_row_gauche">
                        <Button variant="contained" color="success" className="bton_enreg " onClick={recordPartnerClient_Invoice_Data}>Enregistrer &nbsp; <AiTwotoneSave /> </Button>
                    </div>
                    <div className="div_row_droite" style={{ "textAlign": "right" }}>
                        <Button variant="contained" color="success" className="bton_annule" onClick={AnnulerEdit_Invoice_Data}>Annuler</Button>
                    </div>
                </div>
                }
                {String(formedit_mode_invoice) !== "1" && <div className="div_row">

                    <div className="div_row_droite" style={{ "textAlign": "right" }}>
                        <Button variant="contained" color="success" className="bton_edit" onClick={DataEditMode_Invoice_Data}> Modifier</Button>
                    </div>
                </div>
                }

            </div>}

        </div>
    );
}

export default AddParnerClient;

