import React, { useState, useEffect } from "react";
import axios from "axios";
import partnerbannerimg from "../mysy_img/MYSY_banner_compte.png";
import profileimg from "../mysy_img/MYSY-profil-2.png";
import TrainingForm from "./AddClassManual"
import PartnerTranings from "./DisplayPartnerTrainingsPagination";
import HebergementLms from "./HebergementLms";
import Button from '@mui/material/Button';
import SendIcon from '@mui/icons-material/Send';
import { getCookie } from 'react-use-cookie';
import { useHistory } from "react-router-dom";
import PartnerInfo from "./UpdatePartnerInfo";
import PartenairStat from "./PartenairStat";
import { Helmet } from "react-helmet";
import bannerimg2 from "../mysy_img/MYSY-LOGO-BLUE.png";
import logowhite from "../mysy_img/MYSY-LOGO-WHITE.png";

import downarrow from "../mysy_img/downarrow.png";
import uparrow from "../mysy_img/uparrow.png";


import Footer from "./Fotter";
import { confirmAlert } from 'react-confirm-alert'; // Import
import { useCookies } from "react-cookie";
import Header from "./Header";
import Facture from "./Facture";
import Abonnement from "./Abonnement";
import { useLocation } from "react-router-dom";
import { useParams } from 'react-router-dom'
import CheckOut from "./CheckOut";
import { IoCheckmarkCircleSharp } from "react-icons/io5";
import { FaHandPointRight } from "react-icons/fa";
import OrderConfirmation from "./OrderConfirmation";
import Pricing from "./Pricing";
import {
    FcHome, FcButtingIn, FcDepartment, FcBullish, FcAddDatabase, FcFolder,
    FcList, FcGraduationCap, FcMultipleDevices, FcCurrencyExchange,
    FcMoneyTransfer, FcFeedback, FcKey, FcVideoCall, FcSettings
} from "react-icons/fc";
import { DataGrid, GridToolbar, frFR, GridCellParams } from '@mui/x-data-grid';
import { FcCancel, FcApproval, FcAcceptDatabase, FcPrint, FcDeleteDatabase } from "react-icons/fc";

import AddParnerClient from "./AddPartnerClient";
//import { FcHome} from "react-icons/fc";

const Partner_Client = (props) => {

    const history = useHistory();

    const [rows_list_clients, setrows_list_clients] = useState([]);
    const [selectionModel, setSelectionModel] = React.useState([]);
    const columns_clients = [
        { field: 'id', headerName: 'id', hide: true },
        { field: 'email', headerName: 'email', width: 100, hideable: false, flex: 1 },
        { field: 'nom', headerName: 'nom', width: 100, hide: false, editable: true },

        {
            field: "update", headerName: 'Modifier',
            renderCell: (cellValues) => {
                return (

                    <div style={{ "width": "45%", "float": "center" }} onClick={(event) => {
                        handleClick_modifier(event, cellValues);
                    }}>
                        <FcAcceptDatabase />
                    </div>

                );
            }
        },
        {
            field: "delete", headerName: 'Supprimer',
            renderCell: (cellValues) => {
                return (

                    <div style={{ "width": "45%", "float": "center" }} onClick={(event) => {
                        handleClick_supprimer(event, cellValues);
                    }}>
                        <FcDeleteDatabase />
                    </div>

                );
            }
        },


    ]

    const [Edite_Client, setEdite_Client] = useState("");
    const [Client_email, setClient_email] = useState("");
    function handleClick_modifier(event, cellValues) {
        var clientmail = String(cellValues.row.email);
        setClient_email(clientmail);
        setEdite_Client("1");
    }

    function handleClick_supprimer(event, cellValues) {
        var clientmail = String(cellValues.row.email);
        alert(" en cours de dev");
    }


    


    const [Get_List_Partner_Clients_api, setGet_List_Partner_Clients_api] = useState();
    const [Get_List_Partner_Clients_message, setGet_List_Partner_Clients_message] = useState();
    const [Get_List_Partner_Clients_result, setGet_List_Partner_Clients_result] = useState();
    function Get_List_Partner_Clients(event) {

        var form = new FormData();
        const stored_cookie = getCookie('tokenmysypart');

        form.append("token", stored_cookie);


        var myurl = process.env.REACT_APP_API_URL + "myclass/api/Get_Partner_List_Partner_Client/";

        axios.post(myurl, form).then(res => {
            console.log(" In Get_List_Partner_Clients  res.data.status = " + res.data.status);
            console.log(" In Get_List_Partner_Clients  res.data.message r_class = " + res.data.message);

            if (String(res.data.status) === String("true")) {
                setGet_List_Partner_Clients_api("true");
                setGet_List_Partner_Clients_result(res.data.message);
                setrows_list_clients(res.data.message);
            }
            else if (String(res.data.status) === String("Err_Connexion")) {
                alert('Erreur: ' + res.data.message);
                history.push("/Connexion");
            }
            else {
                setGet_List_Partner_Clients_api("false");
                setGet_List_Partner_Clients_message(res.data.message);
            }

        }).catch((error) => {
            console.warn('Not good man :( Get_List_Partner_Clients = ', error);
            setGet_List_Partner_Clients_api("false");
            //setmyApimyApiMessage("")
        })
    }



    useEffect(() => {
        //menu_info();
        Get_List_Partner_Clients();

    }, []);

    return (

        <div className="partner_client">

            <div className="div_row">

                {String(Edite_Client) === "1" && <div className="div_row">

                    <div className="titre1"> Detail client : {Client_email}</div>
  
                    <AddParnerClient client_mail={Client_email}/>

                </div>}


                <div className="titre1"> Liste des clients</div>

                <div className="div_row">
                    <div style={{ height: 500, width: '100%' }}>
                        <DataGrid
                            checkboxSelection
                            onSelectionModelChange={(newSelectionModel) => {
                                setSelectionModel(newSelectionModel);
                                //console.log("ch selected--" + newSelectionModel);
                            }}
                            selectionModel={selectionModel}

                            localeText={frFR.components.MuiDataGrid.defaultProps.localeText}
                            rows={rows_list_clients.map((item, index) => (
                                {
                                    id: index,
                                    email: JSON.parse(item).email,
                                    nom: JSON.parse(item).nom,

                                }
                            ))}

                            columns={columns_clients}
                            pageSize={10}
                            className="datagridclass"

                            rowsPerPageOptions={[10]}
                            disableSelectionOnClick
                            components={{
                                Toolbar: GridToolbar,
                            }}


                        />
                        <br />


                        <br />
                        {/* <Button variant="contained" onClick={GetAllClass_new}>Contained</Button>*/}
                    </div>
                </div>

            </div>


        </div>
    )
}


export default Partner_Client;